osl::Centering3x3 Struct Reference

3x3が盤上におさまるように中心を調整 More...

`#include <centering3x3.h>`

## Classes

struct | Table

## Static Public Member Functions

static const Square | adjustCenterNaive (Square)
static const Square | adjustCenter (Square src)

## Static Public Attributes

static Table | table

## Detailed Description

3x3が盤上におさまるように中心を調整

Definition at line 13 of file centering3x3.h.

## Member Function Documentation

## adjustCenter()

const Square osl::Centering3x3::adjustCenter | ( | Square | src | ) |

inline static

Definition at line 22 of file centering3x3.h.

References osl::Square::index(), and table.

## adjustCenterNaive()

const osl::Square osl::Centering3x3::adjustCenterNaive | ( | Square | src | ) |

static

Definition at line 36 of file centering3x3.cc.

References osl::Square::x(), and osl::Square::y().

Referenced by osl::Centering3x3::Table::init().

## Member Data Documentation

## table

osl::Centering3x3::Table osl::Centering3x3::table

static

Definition at line 21 of file centering3x3.h.

Referenced by adjustCenter().

The documentation for this struct was generated from the following files:

- centering3x3.h
- centering3x3.cc